---
title: "List Team Members"
slug: "list-team-members"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Team Members

Get/api/v1/teams.members

List all members of a team. Permission required: `view-all-teams`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersteamNamestring

The team name. It is required if the `teamId` is not provided.

Examplelivestream
teamIdstring

The team id. It is required if the `teamName` is not provided.

Example63f3efc4b000b6b6d86704b2
namestring

Search filter for the user's name

Exampletest
usernamestring

Search filter for the user's username

Exampletest.user
statusarray of string

Search filter for the user's status

Example["online", "away", "busy"]

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='af48745b-25d9-4075-9d4d-5bb11b243c69'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e7367575-4820-4893-8d96-92fd8f3c888d'>Success</option>
</select>Success

```json
{
  "members": [
    {
      "user": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie",
        "name": "test test",
        "status": "offline",
        "settings": {
          "preferences": {
            "themeAppearence": "light"
          },
          "profile": {}
        }
      },
      "roles": [
        "owner"
      ],
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "test.test"
      },
      "createdAt": "2023-02-20T22:10:12.740Z"
    },
    {
      "user": {
        "_id": "5fRTXMt7DMJbpPJfh",
        "username": "test.test",
        "name": "Testtest",
        "status": "offline",
        "settings": {
          "profile": {}
        }
      },
      "createdBy": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "test.test"
      },
      "createdAt": "2023-07-11T00:23:01.346Z"
    }
  ],
  "total": 2,
  "count": 2,
  "offset": 0,
  "success": true
}
```

Expand Allobject  members Array of object   object  userobject  _idstring    
usernamestring    
namestring    
statusstring    
settingsobject  preferencesobject  themeAppearencestring    

profileobject  

roles Array of string   string    
createdByobject  _idstring    
usernamestring    

createdAtstring    

totalinteger    
countinteger    
offsetinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='18888307-d0f2-4029-865c-c2cc39b41e17'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1ea5529f-8cc2-4dfe-80a6-28f2475050e1'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
